<?php
if (! defined('ABSPATH')) exit;

class UAMT_Admin_Menu
{
    /**
     * Summary of instance
     * @return self
     */
    public static function instance()
    {
        static $instance = null;
        if (null === $instance) {
            $instance = new self();
        }
        return $instance;
    }
    /**
     * Summary of __construct
     */
    public function __construct()
    {
        add_action('admin_menu', array($this, 'uamt_add_admin_menu'));
    }

    /**
     * Summary of uamt_add_admin_menu
     * @return void
     */
    public function uamt_add_admin_menu()
    {
        add_options_page(
            __('Upload Any Mime Types', 'upload-any-mime-types'),
            __('Upload Mime Types', 'upload-any-mime-types'),
            'manage_options',
            'uamt_admin_page',
            array(UAMT_Admin_Settings::instance(), 'uamt_admin_page')
        );
    }

}

UAMT_Admin_Menu::instance();
